Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1491807 - [abrt] gnome-shell: _cogl_boxed_value_set_x(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: _cogl_boxed_value_set_x(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1fd5327f0dd7fbe310537cf3940...
: 1534429 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-14 18:05 UTC by Joachim Frieben
Modified: 2018-11-30 19:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 19:13:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (101.58 KB, text/plain)
2017-09-14 18:05 UTC, Joachim Frieben
no flags Details
File: cgroup (289 bytes, text/plain)
2017-09-14 18:05 UTC, Joachim Frieben
no flags Details
File: core_backtrace (34.08 KB, text/plain)
2017-09-14 18:05 UTC, Joachim Frieben
no flags Details
File: cpuinfo (1006 bytes, text/plain)
2017-09-14 18:05 UTC, Joachim Frieben
no flags Details
File: dso_list (26.02 KB, text/plain)
2017-09-14 18:05 UTC, Joachim Frieben
no flags Details
File: environ (3.52 KB, text/plain)
2017-09-14 18:05 UTC, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2017-09-14 18:05 UTC, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2017-09-14 18:05 UTC, Joachim Frieben
no flags Details
File: maps (122.87 KB, text/plain)
2017-09-14 18:06 UTC, Joachim Frieben
no flags Details
File: open_fds (8.58 KB, text/plain)
2017-09-14 18:06 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-09-14 18:06 UTC, Joachim Frieben
no flags Details
File: var_log_messages (1.22 KB, text/plain)
2017-09-14 18:06 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2017-09-14 18:05:25 UTC
Version-Release number of selected component:
gnome-shell-3.25.91-1.fc27

Additional info:
reporter:       libreport-2.9.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _cogl_boxed_value_set_x
executable:     /usr/bin/gnome-shell
journald_cursor: s=693f8bc3171f43d3b6f34b65802c64c9;i=3a19;b=d1c8629b5d2f432fa2c36f131a50f555;m=668c5fb5;t=559277783ebd3;x=bbc4bcc7b0920d49
kernel:         4.13.1-302.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _cogl_boxed_value_set_x at cogl-boxed-value.c:141
 #1 _cogl_boxed_value_set_float at cogl-boxed-value.c:212
 #2 ffi_call_unix64 at ../src/x86/unix64.S:76
 #3 ffi_call at ../src/x86/ffi64.c:525
 #4 gjs_invoke_c_function(JSContext*, Function*, JS::HandleObject, JS::HandleValueArray const&, mozilla::Maybe<JS::MutableHandle<JS::Value> >, GIArgument*) at gi/function.cpp:1026
 #5 function_call(JSContext*, unsigned int, JS::Value*) at gi/function.cpp:1343
 #6 js::CallJSNative(JSContext*, bool (*)(JSContext*, unsigned int, JS::Value*), JS::CallArgs const&) at /usr/src/debug/mozjs38-38.8.0-6.fc27.x86_64/jscntxtinlines.h:226
 #7 js::Invoke(JSContext*, JS::CallArgs, js::MaybeConstruct) at /usr/src/debug/mozjs38-38.8.0-6.fc27.x86_64/vm/Interpreter.cpp:498
 #8 Interpret(JSContext*, js::RunState&) at /usr/src/debug/mozjs38-38.8.0-6.fc27.x86_64/vm/Interpreter.cpp:2602
 #9 js::RunScript(JSContext*, js::RunState&) at /usr/src/debug/mozjs38-38.8.0-6.fc27.x86_64/vm/Interpreter.cpp:448

Comment 1 Joachim Frieben 2017-09-14 18:05:39 UTC
Created attachment 1326153 [details]
File: backtrace

Comment 2 Joachim Frieben 2017-09-14 18:05:41 UTC
Created attachment 1326154 [details]
File: cgroup

Comment 3 Joachim Frieben 2017-09-14 18:05:45 UTC
Created attachment 1326155 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2017-09-14 18:05:47 UTC
Created attachment 1326156 [details]
File: cpuinfo

Comment 5 Joachim Frieben 2017-09-14 18:05:50 UTC
Created attachment 1326157 [details]
File: dso_list

Comment 6 Joachim Frieben 2017-09-14 18:05:52 UTC
Created attachment 1326158 [details]
File: environ

Comment 7 Joachim Frieben 2017-09-14 18:05:54 UTC
Created attachment 1326159 [details]
File: exploitable

Comment 8 Joachim Frieben 2017-09-14 18:05:56 UTC
Created attachment 1326160 [details]
File: limits

Comment 9 Joachim Frieben 2017-09-14 18:06:05 UTC
Created attachment 1326161 [details]
File: maps

Comment 10 Joachim Frieben 2017-09-14 18:06:07 UTC
Created attachment 1326162 [details]
File: open_fds

Comment 11 Joachim Frieben 2017-09-14 18:06:09 UTC
Created attachment 1326163 [details]
File: proc_pid_status

Comment 12 Joachim Frieben 2017-09-14 18:06:11 UTC
Created attachment 1326164 [details]
File: var_log_messages

Comment 13 Joachim Frieben 2017-09-14 20:12:21 UTC
Crash occurred after connecting to a VirGL 3D enabled virtual Fedora 26 guest by means of gnome-boxes.

Comment 14 fridel 2018-01-15 08:59:43 UTC
*** Bug 1534429 has been marked as a duplicate of this bug. ***

Comment 15 Ben Cotton 2018-11-27 17:29:04 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 19:13:22 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.